### File

`src/lib/expand-row/expand-row-container/expand-row-content.directive.ts`

### Metadata

Selector | `[rxapExpandRowContent]`
Standalone | `true`

### Index

###### Properties

- Public Readonly template

###### Methods

- Static ngTemplateContextGuard

### Constructor

`constructor(template: TemplateRef<ExpandCellContentDirectiveContext<Data>>)`
Defined in src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:21

Parameters :

Name | Type | Optional
template | `TemplateRef<ExpandCellContentDirectiveContext<Data>>` | No

### Methods

Static ngTemplateContextGuard
`ngTemplateContextGuard(dir: ExpandRowContentDirective<Data>, ctx: any)`
Defined in src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:18

Type parameters :

- Data

Parameters :

Name | Type | Optional
dir | `ExpandRowContentDirective<Data>` | No
ctx | `any` | No

Returns : `ExpandCellContentDirectiveContext<Data>`

### Properties

Public Readonly template
Type : `TemplateRef<ExpandCellContentDirectiveContext<Data>>`
Decorators : `@Inject(TemplateRef)`
Defined in src/lib/expand-row/expand-row-container/expand-row-content.directive.ts:25

    import {
      Directive,
      Inject,
      TemplateRef,
    } from '@angular/core';

    export interface ExpandCellContentDirectiveContext<Data extends Record<string, any>> {
      $implicit: Data;
    }

    @Directive({
      selector: '[rxapExpandRowContent]',
      standalone: true,
    })
    export class ExpandRowContentDirective<Data extends Record<string, any>> {

      static ngTemplateContextGuard<Data extends Record<string, any>>(dir: ExpandRowContentDirective<Data>, ctx: any):
        ctx is ExpandCellContentDirectiveContext<Data> {
        return true;
      }

      constructor(
        @Inject(TemplateRef)
        public readonly template: TemplateRef<ExpandCellContentDirectiveContext<Data>>,
      ) {
      }

    }

# results matching ""

# No results matching ""